services:
  minio:
    image: pgsty/minio:latest
    container_name: minio
    user: root
    privileged: true
    restart: always
    ports:
      - "9000:9000"
      - "9001:9001"
    command: [ "server", "--console-address", ":9001", "--address", ":9000", "/data" ]
    environment:
      TZ: "Asia/Shanghai"
      MINIO_ROOT_USER: admin
      MINIO_ROOT_PASSWORD: Meta815899
      MINIO_DEFAULT_BUCKETS: pub-bucket
      MINIO_CORS_ALLOW_ORIGIN: "*"
    healthcheck:
      test: ["CMD", "curl", "-f", "http://localhost:9000/minio/health/live"]
      interval: 30s
      timeout: 10s
      retries: 5
      start_period: 60s
    volumes:
      - /mnt/nfs/minio/data:/data
      - /mnt/nfs/minio/config:/root/.minio
